curl --request GET \
--url https://api.leadping.ai/reports/exports/{exportId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.leadping.ai/reports/exports/{exportId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/reports/exports/{exportId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/reports/exports/{exportId}")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.leadping.ai/reports/exports/{exportId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/reports/exports/{exportId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/reports/exports/{exportId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "<string>",
"status": "Pending",
"requestedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"failedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"message": "<string>",
"downloadUrl": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"sizeBytes": 123,
"downloadCount": 123,
"maxDownloadCount": 123,
"files": [
{
"category": "<string>",
"fileName": "<string>",
"contentType": "<string>",
"rowCount": 123
}
]
}{
"type": "about:blank",
"title": "Unauthorized",
"status": 401,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Forbidden",
"status": 403,
"detail": "The request could not be completed."
}{
"type": "about:blank",
"title": "Too Many Requests",
"status": 429,
"detail": "The request could not be completed."
}Get a current-user data export report
Returns the status and metadata for one current-user data export, including readiness, expiration, and download availability.
Authorizations
Authorization header using the Bearer scheme. Accepted values are Leadping user JWT access tokens and WorkOS organization API keys beginning with sk_.
Path Parameters
The unique identifier of the current user's data export.
Response
OK
Describes the lifecycle, scope, progress, retention, and downloadable artifacts of a Leadping user-data export request.
Unique Leadping identifier for the user data export.
Identifies the preparation, availability, failure, expiration, or deletion stage of a Leadping user-data export.
Pending, Processing, Completed, Failed, Expired Date and time when the user data export was requested.
Date and time when the user data export started.
Date and time when the user data export completed.
Date and time when the user data export failed.
Date and time when the user data export expires.
Human-readable message for this Leadping user data export.
Temporary URL for downloading the completed Leadping data export.
Human-readable file name associated with this Leadping user data export.
Media type of the generated file or response content.
Size of the generated export archive in bytes, when the export is ready.
Total number of download records represented by this Leadping user data export.
Total number of max download records represented by this Leadping user data export.
Collection of files included with this Leadping user data export.
Show child attributes
Show child attributes

